.woocommerce #content input.button, .woocommerce #respond input#submit, .woocommerce a.button, 
.woocommerce button.button, .woocommerce input.button, .woocommerce-page #content input.button, 
.woocommerce-page #respond input#submit, .woocommerce-page a.button, .woocommerce-page button.button, 
.woocommerce-page input.button, .woocommerce #content div.product form.cart .button, .woocommerce div.product form.cart .button, 
.woocommerce-page #content div.product form.cart .button, .woocommerce-page div.product form.cart .button, .woocommerce .cart .button, 
.woocommerce .cart input.button, .woocommerce-page .cart .button, .woocommerce-page .cart input.button,
.woocommerce #content input.button:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, 
.woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce-page #content input.button:hover, 
.woocommerce-page #respond input#submit:hover, .woocommerce-page a.button:hover, .woocommerce-page button.button:hover, 
.woocommerce-page input.button:hover, .woocommerce #content input.button:hover, .woocommerce #respond input#submit:hover, 
.woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, 
.woocommerce-page #content input.button:hover, .woocommerce-page #respond input#submit:hover, .woocommerce-page a.button:hover, 
.woocommerce-page button.button:hover, .woocommerce-page input.button:hover
{
    border-radius: 0;
    text-shadow: none;
    color: #ffffff !important;
    border: 0;
    background: 0;
    background-color: #e41b2c;
		text-decoration: none;
}

.woocommerce #content input.button:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, 
.woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce-page #content input.button:hover, 
.woocommerce-page #respond input#submit:hover, .woocommerce-page a.button:hover, .woocommerce-page button.button:hover, 
.woocommerce-page input.button:hover, .woocommerce #content input.button:hover, .woocommerce #respond input#submit:hover, 
.woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, 
.woocommerce-page #content input.button:hover, .woocommerce-page #respond input#submit:hover, .woocommerce-page a.button:hover, 
.woocommerce-page button.button:hover, .woocommerce-page input.button:hover {
	opacity: 0.8;
	text-decoration: none !important;
}



.woocommerce .widget_shopping_cart .total, .woocommerce-page .widget_shopping_cart .total, .woocommerce-page.widget_shopping_cart .total, .woocommerce.widget_shopping_cart .total {
	border-top: 3px double #f7f6f7;
	padding: 4px 0 0 20px;
}

.widget_shopping_cart_content .buttons {
	padding-left: 20px;
}